com.threerings.parlor.client

## Class ParlorDecoder

- java.lang.Object
- - com.threerings.presents.client.InvocationDecoder
  - - com.threerings.parlor.client.ParlorDecoder

    public class ParlorDecoder
    extends com.threerings.presents.client.InvocationDecoder

Dispatches calls to a `ParlorReceiver` instance.

### Field Summary

Fields
`static int` `GAME_IS_READY` The method id used to dispatch `ParlorReceiver.gameIsReady(int)` notifications.
`static int` `RECEIVED_INVITE` The method id used to dispatch `ParlorReceiver.receivedInvite(int, com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig)` notifications.
`static int` `RECEIVED_INVITE_CANCELLATION` The method id used to dispatch `ParlorReceiver.receivedInviteCancellation(int)` notifications.
`static int` `RECEIVED_INVITE_RESPONSE` The method id used to dispatch `ParlorReceiver.receivedInviteResponse(int, int, java.lang.Object)` notifications.
`static String` `RECEIVER_CODE` The generated hash code used to identify this receiver class.

### Fields inherited from class com.threerings.presents.client.InvocationDecoder

`receiver`

### Constructor Summary

Constructors
Constructor and Description
`ParlorDecoder(ParlorReceiver receiver)` Creates a decoder that may be registered to dispatch invocation service notifications to the specified receiver.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatchNotification(int methodId, Object[] args)`
`String` `getReceiverCode()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RECEIVER_CODE

    public static final String RECEIVER_CODE

The generated hash code used to identify this receiver class.

See Also:
  Constant Field Values

#### GAME_IS_READY

    public static final int GAME_IS_READY

The method id used to dispatch `ParlorReceiver.gameIsReady(int)` notifications.

See Also:
  Constant Field Values

#### RECEIVED_INVITE

    public static final int RECEIVED_INVITE

The method id used to dispatch `ParlorReceiver.receivedInvite(int, com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig)` notifications.

See Also:
  Constant Field Values

#### RECEIVED_INVITE_CANCELLATION

    public static final int RECEIVED_INVITE_CANCELLATION

The method id used to dispatch `ParlorReceiver.receivedInviteCancellation(int)` notifications.

See Also:
  Constant Field Values

#### RECEIVED_INVITE_RESPONSE

    public static final int RECEIVED_INVITE_RESPONSE

The method id used to dispatch `ParlorReceiver.receivedInviteResponse(int, int, java.lang.Object)` notifications.

See Also:
  Constant Field Values

### Constructor Detail

#### ParlorDecoder

    public ParlorDecoder(ParlorReceiver receiver)

Creates a decoder that may be registered to dispatch invocation service notifications to the specified receiver.

### Method Detail

#### getReceiverCode

    public String getReceiverCode()

Specified by:
  `getReceiverCode` in class `com.threerings.presents.client.InvocationDecoder`

#### dispatchNotification

    public void dispatchNotification(int methodId,
                                     Object[] args)

Overrides:
  `dispatchNotification` in class `com.threerings.presents.client.InvocationDecoder`